Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665834 - dev-db/kdb: Validate DEPEND on virtual/mysql
Summary: dev-db/kdb: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:28 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:28:10 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2018-10-04 21:35:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=53bc0f9ad85c4a1e2b737dd5e0587c1a00be7a93

commit 53bc0f9ad85c4a1e2b737dd5e0587c1a00be7a93
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-10-04 20:56:26 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-10-04 20:56:26 +0000

    dev-db/kdb: USE=mysql DEPENDs on dev-db/mysql-connector-c
    
    Switching away from virtual/mysql.
    
    Bug: https://bugs.gentoo.org/665834
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
    Package-Manager: Portage-2.3.50, Repoman-2.3.11

 dev-db/kdb/kdb-9999.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2018-10-04 21:36:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bc81d2a068f2f755a5f2c5b28e839f4e322b125

commit 3bc81d2a068f2f755a5f2c5b28e839f4e322b125
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-10-04 21:20:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-10-04 21:36:41 +0000

    dev-db/kdb: USE=mysql DEPENDs on dev-db/mysql-connector-c
    
    - Switch away from virtual/mysql
    - Add one runtime fix
    - Find postgresql-11
    
    Closes: https://bugs.gentoo.org/665834
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
    Package-Manager: Portage-2.3.50, Repoman-2.3.11

 dev-db/kdb/files/kdb-3.1.0-crashfix.patch          | 29 +++++++++++
 .../kdb/files/kdb-3.1.0-fix-loading-objdata.patch  | 27 ++++++++++
 dev-db/kdb/files/kdb-3.1.0-postgresql-11.patch     | 24 +++++++++
 dev-db/kdb/kdb-3.1.0-r2.ebuild                     | 57 ++++++++++++++++++++++
 4 files changed, 137 insertions(+)